summaryrefslogtreecommitdiff
path: root/games/conquest/pkg-install
diff options
context:
space:
mode:
authorMark Pulford <markp@FreeBSD.org>2001-06-10 04:14:04 +0000
committerMark Pulford <markp@FreeBSD.org>2001-06-10 04:14:04 +0000
commit3f55344195a287d4d5adb2ca04da1e11f97479a9 (patch)
tree9c261b39ba2b6f2515b85a88c2b07ba8d4ee2ffb /games/conquest/pkg-install
parentNew hlserver-cs slave port: Half-Life mod Global Warfare full server (diff)
Add conquest 7.1,
a multi-player curses space warfare game similar to Netrek. PR: 26455 Reviewed by: will
Diffstat (limited to 'games/conquest/pkg-install')
-rw-r--r--games/conquest/pkg-install22
1 files changed, 22 insertions, 0 deletions
diff --git a/games/conquest/pkg-install b/games/conquest/pkg-install
new file mode 100644
index 000000000000..8af060bc6be7
--- /dev/null
+++ b/games/conquest/pkg-install
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+[ "${PKG_PREFIX}" ] && PREFIX="${PKG_PREFIX}"
+[ "${PREFIX}" ] || PREFIX=/usr/local
+
+case "$2" in
+ PRE-INSTALL)
+ if ! pw group show conquest >/dev/null 2>&1
+ then
+ echo "===> Creating group conquest"
+ pw add group conquest
+ fi
+ ;;
+ POST-INSTALL)
+ chown root:conquest ${PREFIX}/etc/conquest
+ chmod 775 ${PREFIX}/etc/conquest
+ ;;
+ *)
+ echo "Incorrect parameter"
+ exit 1
+ ;;
+esac